iSkeletonBoneFactory Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSkeletonBoneFactory Struct Reference

The skeleton bone factory is class that is used to create skeleton bones of a iSkeleton object. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonBoneFactory:

List of all members.

## Public Member Functions
virtual iSkeletonBoneFactory * | FindChild (const char *name)=0
| Find child by name.
virtual size_t | FindChildIndex (iSkeletonBoneFactory *child)=0
| Find child index.
virtual iSkeletonBoneFactory * | GetChild (size_t i)=0
| Get factory child by index.
virtual size_t | GetChildrenCount ()=0
| Get number of children factories.
virtual csReversibleTransform & | GetFullTransform ()=0
| Get bone factory full transform.
virtual const char * | GetName () const =0
| Get bone factory name.
virtual iSkeletonBoneFactory * | GetParent ()=0
| Get parent bone factory .
virtual iSkeletonBoneRagdollInfo * | GetRagdollInfo ()=0
| Get ragdoll data.
virtual csBox3 & | GetSkinBox ()=0
| Get skin bbox.
virtual csReversibleTransform & | GetTransform ()=0
| Get bone factory transform in parent's coordsys.
virtual void | SetName (const char *name)=0
| Set bone factory of name.
virtual void | SetParent (iSkeletonBoneFactory *parent)=0
| Set parent bone factory .
virtual void | SetSkinBox (csBox3 &box)=0
| Set skin bbox.
virtual void | SetTransform (const csReversibleTransform &transform)=0
| Set bone factory transform in parent's coordsys.

## Detailed Description

The skeleton bone factory is class that is used to create skeleton bones of a iSkeleton object.

Definition at line 671 of file skeleton.h.

## Member Function Documentation

virtual iSkeletonBoneFactory* iSkeletonBoneFactory::FindChild | ( | const char * | name | ) | `[pure virtual]`

Find child by name.

virtual size_t iSkeletonBoneFactory::FindChildIndex | ( | iSkeletonBoneFactory * | child | ) | `[pure virtual]`

Find child index.

virtual iSkeletonBoneFactory* iSkeletonBoneFactory::GetChild | ( | size_t | i | ) | `[pure virtual]`

Get factory child by index.

virtual size_t iSkeletonBoneFactory::GetChildrenCount | ( |  | ) | `[pure virtual]`

Get number of children factories.

virtual csReversibleTransform& iSkeletonBoneFactory::GetFullTransform | ( |  | ) | `[pure virtual]`

Get bone factory full transform.

virtual const char* iSkeletonBoneFactory::GetName | ( |  | ) | const`[pure virtual]`

Get bone factory name.

virtual iSkeletonBoneFactory* iSkeletonBoneFactory::GetParent | ( |  | ) | `[pure virtual]`

Get parent bone factory .

virtual iSkeletonBoneRagdollInfo* iSkeletonBoneFactory::GetRagdollInfo | ( |  | ) | `[pure virtual]`

Get ragdoll data.

virtual csBox3& iSkeletonBoneFactory::GetSkinBox | ( |  | ) | `[pure virtual]`

Get skin bbox.

virtual csReversibleTransform& iSkeletonBoneFactory::GetTransform | ( |  | ) | `[pure virtual]`

Get bone factory transform in parent's coordsys.

virtual void iSkeletonBoneFactory::SetName | ( | const char * | name | ) | `[pure virtual]`

Set bone factory of name.

virtual void iSkeletonBoneFactory::SetParent | ( | iSkeletonBoneFactory * | parent | ) | `[pure virtual]`

Set parent bone factory .

virtual void iSkeletonBoneFactory::SetSkinBox | ( | csBox3 & | box | ) | `[pure virtual]`

Set skin bbox.

virtual void iSkeletonBoneFactory::SetTransform | ( | const csReversibleTransform & | transform | ) | `[pure virtual]`

Set bone factory transform in parent's coordsys.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h